apply plugin: 'com.android.library'
apply plugin: 'org.jetbrains.kotlin.android'



android {
    compileSdk libs.versions.compileSdk.get().toInteger()

    defaultConfig {
        minSdk libs.versions.minSdk.get().toInteger()

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            minifyEnabled true
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }

    compileOptions {
        sourceCompatibility libs.versions.javaVersion.get().toInteger()
        targetCompatibility libs.versions.javaVersion.get().toInteger()
    }

    kotlinOptions {
        jvmTarget = libs.versions.javaVersion.get().toInteger()
    }
}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])

}